%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0
%global pypi_name cinder

Name:             openstack-cinder
# Liberty semver reset
# https://review.openstack.org/#/q/I6a35fa0dda798fad93b804d00a46af80f08d475c,n,z
Epoch:            1
Version:          10.0.6
Release:          25%{?dist}
Summary:          OpenStack Volume service

License:          ASL 2.0
URL:              http://www.openstack.org/software/openstack-storage/
Source0:          https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz

Source1:          cinder-dist.conf
Source2:          cinder.logrotate

Source10:         openstack-cinder-api.service
Source11:         openstack-cinder-scheduler.service
Source12:         openstack-cinder-volume.service
Source13:         openstack-cinder-backup.service
Source20:         cinder-sudoers

# patches_ignore=DROP-IN-RPM
# patches_base=10.0.6
Patch0001: 0001-qemu_img_info-report-luks-images-as-raw.patch
Patch0002: 0002-qemu_img_info-Don-t-autodetect-source-format.patch
Patch0003: 0003-Glance-attach-volume-encryption-key-id-to-image.patch
Patch0004: 0004-Create-volumes-from-encrypted-images.patch
Patch0005: 0005-Fix-support-for-AMI-image-conversion.patch
Patch0006: 0006-Add-support-for-OS-Brick-force-disconnect.patch
Patch0007: 0007-Create-volume-from-VHD-format-image-always-failed.patch
Patch0008: 0008-Don-t-verify-format-with-autodetect-after-image-conv.patch
Patch0009: 0009-Fix-image-download-to-volume-for-iso-images.patch
Patch0010: 0010-Update-group-status.patch
Patch0011: 0011-RBD-Fix-stats-reporting.patch
Patch0012: 0012-Fix-allocated-capacity-report-on-non-pool-drivers.patch
Patch0013: 0013-NetApp-ONTAP-Fix-reporting-of-provisioned_capacity_g.patch
Patch0014: 0014-Fix-config-option-volume_backend_name-s-invalid-over.patch
Patch0015: 0015-Imported-Translations-from-Zanata.patch
Patch0016: 0016-Add-per-backend-availability-zones.patch
Patch0017: 0017-ceph-backup-support-for-EXCLUSIVE_LOCK-and-JOURNALIN.patch
Patch0018: 0018-Dell-EMC-PS-Fix-over-subscription-ratio-stats.patch
Patch0019: 0019-Dell-EMC-PS-Optimize-parsing-of-capacity-info-from-b.patch
Patch0020: 0020-Dell-EMC-PS-Fix-extend-volume-creating-unmanaged-sna.patch
Patch0021: 0021-Revert-Tests-Fail-if-oslo.versionedobjects-issues-In.patch
Patch0022: 0022-nimble-handle-unicode-strings-in-volume-create.patch
Patch0023: 0023-Fix-create-encrypted-volume-from-image.patch
Patch0024: 0024-StorageCenter-Fix-volume-mapping-for-API-v3.1.patch
Patch0025: 0025-FlashSystem-Add-CMMVC6045E-CLI-error-for-multi-host-.patch
Patch0026: 0026-FlashSystems-permit-snapshot-clone-volumes-larger-th.patch
Patch0027: 0027-Fix-Backup-uses-latest-req-id-for-all-log-calls.patch
Patch0028: 0028-Fix-compression-related-tests.patch
Patch0029: 0029-Remove-logging-on-Swift-backup-obj-writer.patch
Patch0030: 0030-backup-set-default-swiftclient-log-level-to-WARN.patch
Patch0031: 0031-Run-backup-restore-operations-on-native-thread.patch
Patch0032: 0032-Fix-backup-temp-snapshot-path-on-remote-node.patch
Patch0033: 0033-Use-backup_use_temp_snapshot-setting-for-default.patch
Patch0034: 0034-Improve-Capacity-filter-logging.patch
Patch0035: 0035-Improve-logs-on-scheduler.patch
Patch0036: 0036-Cinder-logs-rabbitmq-password-on-connection-log.patch
Patch0037: 0037-Log-config-options-with-oslo.config.patch
Patch0038: 0038-Restore-ability-to-disable-API-versions.patch
Patch0039: 0039-Avoid-register-extensions-on-the-versions-router.patch
Patch0040: 0040-HPE3PAR-Create-FC-vlun-as-host-sees.patch
Patch0041: 0041-Fix-reporting-old-stats.patch
Patch0042: 0042-Fix-allocated_capacity_gb-race-on-create-volume.patch
Patch0043: 0043-NetApp-ONTAP-Copy-offload-bugfix.patch
Patch0044: 0044-Fix-AZ-not-matching-backend-after-migration.patch
Patch0045: 0045-Dell-EMC-SC-ISCSI-initialize_connection-fixes.patch
Patch0046: 0046-Fix-NoneType-has-no-attribute-get.patch
Patch0047: 0047-Disallow-unmanaging-encrypted-volumes.patch
Patch0048: 0048-Imported-Translations-from-Zanata.patch
Patch0049: 0049-Solving-permission-errors-due-to-directory-ownership.patch
Patch0050: 0050-Enable-v1-API-by-default.patch

BuildArch:        noarch
BuildRequires:    intltool
BuildRequires:    python-d2to1
BuildRequires:    python-oslo-sphinx
BuildRequires:    python-pbr
BuildRequires:    python-reno
BuildRequires:    python-sphinx
BuildRequires:    python2-devel
BuildRequires:    python-setuptools
BuildRequires:    python-netaddr
BuildRequires:    systemd
BuildRequires:    git
BuildRequires:    openstack-macros
BuildRequires:    os-brick >= 1.11.0-2
BuildRequires:    pyparsing
BuildRequires:    pytz
BuildRequires:    python-decorator
# Required to build cinder.conf
BuildRequires:    python-google-api-client >= 1.4.2
BuildRequires:    python-keystonemiddleware
BuildRequires:    python-glanceclient >= 1:2.5.0
BuildRequires:    python-novaclient >= 2.29.0
BuildRequires:    python-swiftclient >= 3.2.0
BuildRequires:    python-oslo-db
BuildRequires:    python-oslo-config >= 2:3.14.0
BuildRequires:    python-oslo-policy
BuildRequires:    python-oslo-reports
BuildRequires:    python-oslotest
BuildRequires:    python-oslo-utils
BuildRequires:    python-oslo-versionedobjects
BuildRequires:    python-oslo-vmware
BuildRequires:    python-os-win
BuildRequires:    python-castellan
BuildRequires:    python-crypto
BuildRequires:    python-lxml
BuildRequires:    python-osprofiler
BuildRequires:    python-paramiko
BuildRequires:    python-suds
BuildRequires:    python-taskflow
BuildRequires:    python-tooz
BuildRequires:    python-oslo-log
BuildRequires:    python-oslo-i18n
BuildRequires:    python-barbicanclient
BuildRequires:    python-requests
BuildRequires:    python-retrying

# Required to compile translation files
BuildRequires:    python-babel

Requires:         python-cinder = %{epoch}:%{version}-%{release}

# we dropped the patch to remove PBR for Delorean
Requires:         python-pbr

# as convenience
Requires:         python-cinderclient

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Requires(pre):    shadow-utils

Requires:         lvm2
Requires:         python-osprofiler
Requires:         python-rtslib

%description
OpenStack Volume (codename Cinder) provides services to manage and
access block storage volumes for use by Virtual Machine instances.


%package -n       python-cinder
Summary:          OpenStack Volume Python libraries
Group:            Applications/System

Requires:         sudo

Requires:         qemu-img
Requires:         sysfsutils
Requires:         os-brick >= 1.11.0-2
Requires:         python-paramiko >= 2.0
Requires:         python-simplejson >= 2.2.0

Requires:         python-castellan >= 0.4.0
Requires:         python-eventlet >= 0.18.2
Requires:         python-greenlet >= 0.3.2
Requires:         python-iso8601 >= 0.1.11
Requires:         python-lxml >= 2.3
Requires:         python-stevedore >= 1.17.1
Requires:         python-suds
Requires:         python-tooz >= 1.47.0

Requires:         python-sqlalchemy >= 1.0.10
Requires:         python-migrate >= 0.9.6

Requires:         python-paste-deploy
Requires:         python-routes >= 1.12.3
Requires:         python-webob >= 1.6.0

Requires:         python-glanceclient >= 1:2.5.0
Requires:         python-swiftclient >= 3.2.0
Requires:         python-keystoneclient >= 3.8.0
Requires:         python-novaclient >= 1:6.0.0

Requires:         python-oslo-config >= 2:3.14.0
Requires:         python-six >= 1.9.0
Requires:         python-psutil >= 1.1.1

Requires:         python-babel
Requires:         python-google-api-client >= 1.4.2

Requires:         python-oslo-rootwrap >= 5.0.0
Requires:         python-oslo-utils >= 3.18.0
Requires:         python-oslo-serialization >= 1.10.0
Requires:         python-oslo-db >= 4.15.0
Requires:         python-oslo-context >= 2.9.0
Requires:         python-oslo-concurrency >= 3.8.0
Requires:         python-oslo-middleware >= 3.19.0
Requires:         python-taskflow >= 2.7.0
Requires:         python-oslo-messaging >= 5.14.0
Requires:         python-oslo-policy >= 1.17.0
Requires:         python-oslo-reports >= 0.6.0
Requires:         python-oslo-service >= 1.10.0
Requires:         python-oslo-versionedobjects >= 1.19.0

Requires:         iscsi-initiator-utils

Requires:         python-osprofiler >= 1.4.0

Requires:         python-httplib2 >= 0.7.5
Requires:         python-oauth2client >= 1.5.0

Requires:         python-oslo-log >= 3.16.0
Requires:         python-oslo-i18n >= 2.1.0
Requires:         python-barbicanclient >= 4.0.0
Requires:         python-requests >= 2.10.0
Requires:         python-retrying >= 1.2.3
Requires:         pyparsing >= 2.0.7
Requires:         pytz
Requires:         python-decorator
Requires:         python-enum34

Requires:         python-keystonemiddleware >= 4.12.0
Requires:         python-keystoneauth1 >= 2.18.0

Requires:         python-oslo-privsep >= 1.9.0

Requires:         python-crypto >= 2.6


%description -n   python-cinder
OpenStack Volume (codename Cinder) provides services to manage and
access block storage volumes for use by Virtual Machine instances.

This package contains the cinder Python library.

%package -n python-cinder-tests
Summary:        Cinder tests
Requires:       openstack-cinder = %{epoch}:%{version}-%{release}

# Added test requirements
Requires:       python-hacking
Requires:       python-anyjson
Requires:       python-coverage
Requires:       python-ddt
Requires:       python-fixtures
Requires:       python-mock
Requires:       python-mox3
Requires:       python-oslotest
Requires:       python-subunit
Requires:       python-testtools
Requires:       python-testrepository
Requires:       python-testresources
Requires:       python-testscenarios
Requires:       python-os-testr
Requires:       python-tempest

%description -n python-cinder-tests
OpenStack Volume (codename Cinder) provides services to manage and
access block storage volumes for use by Virtual Machine instances.

This package contains the Cinder test files.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Volume
Group:            Documentation

Requires:         %{name} = %{epoch}:%{version}-%{release}

BuildRequires:    graphviz

# Required to build module documents
BuildRequires:    python-eventlet
BuildRequires:    python-routes
BuildRequires:    python-sqlalchemy
BuildRequires:    python-webob
# while not strictly required, quiets the build down when building docs.
BuildRequires:    python-migrate
BuildRequires:    python-iso8601 >= 0.1.9

%description      doc
OpenStack Volume (codename Cinder) provides services to manage and
access block storage volumes for use by Virtual Machine instances.

This package contains documentation files for cinder.
%endif

%prep
%autosetup -n cinder-%{upstream_version} -S git

find . \( -name .gitignore -o -name .placeholder \) -delete

find cinder -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

sed -i 's/%{version}.%{milestone}/%{version}/' PKG-INFO

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires


%build
# Generate config file
PYTHONPATH=. oslo-config-generator --config-file=cinder/config/cinder-config-generator.conf

# Build
%{__python2} setup.py build

# Generate i18n files
%{__python2} setup.py compile_catalog -d build/lib/%{pypi_name}/locale

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# Create fake egg-info for the tempest plugin
# TODO switch to %{service} everywhere as in openstack-example.spec
%global service cinder
%py2_entrypoint %{service} %{service}

# docs generation requires everything to be installed first
export PYTHONPATH="$( pwd ):$PYTHONPATH"

%if 0%{?with_doc}
%{__python2} setup.py build_sphinx --builder html
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.buildinfo
%endif

%{__python2} setup.py build_sphinx --builder man
mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 doc/build/man/*.1 %{buildroot}%{_mandir}/man1/

# Setup directories
install -d -m 755 %{buildroot}%{_sharedstatedir}/cinder
install -d -m 755 %{buildroot}%{_sharedstatedir}/cinder/tmp
install -d -m 755 %{buildroot}%{_localstatedir}/log/cinder

# Install config files
install -d -m 755 %{buildroot}%{_sysconfdir}/cinder
install -p -D -m 640 %{SOURCE1} %{buildroot}%{_datadir}/cinder/cinder-dist.conf
install -d -m 755 %{buildroot}%{_sysconfdir}/cinder/volumes
install -p -D -m 640 etc/cinder/rootwrap.conf %{buildroot}%{_sysconfdir}/cinder/rootwrap.conf
install -p -D -m 640 etc/cinder/api-paste.ini %{buildroot}%{_sysconfdir}/cinder/api-paste.ini
install -p -D -m 640 etc/cinder/policy.json %{buildroot}%{_sysconfdir}/cinder/policy.json
install -p -D -m 640 etc/cinder/cinder.conf.sample %{buildroot}%{_sysconfdir}/cinder/cinder.conf

# Install initscripts for services
install -p -D -m 644 %{SOURCE10} %{buildroot}%{_unitdir}/openstack-cinder-api.service
install -p -D -m 644 %{SOURCE11} %{buildroot}%{_unitdir}/openstack-cinder-scheduler.service
install -p -D -m 644 %{SOURCE12} %{buildroot}%{_unitdir}/openstack-cinder-volume.service
install -p -D -m 644 %{SOURCE13} %{buildroot}%{_unitdir}/openstack-cinder-backup.service

# Install sudoers
install -p -D -m 440 %{SOURCE20} %{buildroot}%{_sysconfdir}/sudoers.d/cinder

# Install logrotate
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-cinder

# Install pid directory
install -d -m 755 %{buildroot}%{_localstatedir}/run/cinder

# Install rootwrap files in /usr/share/cinder/rootwrap
mkdir -p %{buildroot}%{_datarootdir}/cinder/rootwrap/
install -p -D -m 644 etc/cinder/rootwrap.d/* %{buildroot}%{_datarootdir}/cinder/rootwrap/


# Symlinks to rootwrap config files
mkdir -p %{buildroot}%{_sysconfdir}/cinder/rootwrap.d
for filter in %{_datarootdir}/os-brick/rootwrap/*.filters; do
ln -s $filter %{buildroot}%{_sysconfdir}/cinder/rootwrap.d/
done

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python2_sitelib}/%{pypi_name}/locale/*/LC_*/%{pypi_name}*po
rm -f %{buildroot}%{python2_sitelib}/%{pypi_name}/locale/*pot
mv %{buildroot}%{python2_sitelib}/%{pypi_name}/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang %{pypi_name} --all-name

# Remove unneeded in production stuff
rm -f %{buildroot}%{_bindir}/cinder-all
rm -f %{buildroot}%{_bindir}/cinder-debug
rm -fr %{buildroot}%{python2_sitelib}/run_tests.*
rm -f %{buildroot}/usr/share/doc/cinder/README*

%pre
getent group cinder >/dev/null || groupadd -r cinder --gid 165
if ! getent passwd cinder >/dev/null; then
  useradd -u 165 -r -g cinder -G cinder,nobody -d %{_sharedstatedir}/cinder -s /sbin/nologin -c "OpenStack Cinder Daemons" cinder
fi
exit 0

%post
%systemd_post openstack-cinder-volume
%systemd_post openstack-cinder-api
%systemd_post openstack-cinder-scheduler
%systemd_post openstack-cinder-backup

%preun
%systemd_preun openstack-cinder-volume
%systemd_preun openstack-cinder-api
%systemd_preun openstack-cinder-scheduler
%systemd_preun openstack-cinder-backup

%postun
%systemd_postun_with_restart openstack-cinder-volume
%systemd_postun_with_restart openstack-cinder-api
%systemd_postun_with_restart openstack-cinder-scheduler
%systemd_postun_with_restart openstack-cinder-backup

%files
%dir %{_sysconfdir}/cinder
%config(noreplace) %attr(-, root, cinder) %{_sysconfdir}/cinder/cinder.conf
%config(noreplace) %attr(-, root, cinder) %{_sysconfdir}/cinder/api-paste.ini
%config(noreplace) %attr(-, root, cinder) %{_sysconfdir}/cinder/rootwrap.conf
%config(noreplace) %attr(-, root, cinder) %{_sysconfdir}/cinder/policy.json
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-cinder
%config(noreplace) %{_sysconfdir}/sudoers.d/cinder
%{_sysconfdir}/cinder/rootwrap.d/
%attr(-, root, cinder) %{_datadir}/cinder/cinder-dist.conf

%dir %attr(0750, cinder, root) %{_localstatedir}/log/cinder
%dir %attr(0755, cinder, root) %{_localstatedir}/run/cinder
%dir %attr(0755, cinder, root) %{_sysconfdir}/cinder/volumes

%{_bindir}/cinder-*
%{_unitdir}/*.service
%{_datarootdir}/cinder
%{_mandir}/man1/cinder*.1.gz

%defattr(-, cinder, cinder, -)
%dir %{_sharedstatedir}/cinder
%dir %{_sharedstatedir}/cinder/tmp

%files -n python-cinder -f %{pypi_name}.lang
%{?!_licensedir: %global license %%doc}
%license LICENSE
%{python2_sitelib}/cinder
%{python2_sitelib}/cinder-*.egg-info
%exclude %{python2_sitelib}/cinder/tests

%files -n python-cinder-tests
%license LICENSE
%{python2_sitelib}/cinder/tests
%{python2_sitelib}/%{service}_tests.egg-info

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%endif

%changelog
* Thu May 03 2018 Eric Harney <eharney@redhat.com> 1:10.0.6-25
- Enable v1 API by default (RHBZ #1573864)

* Fri Apr 20 2018 Pranali Deore <pdeore@redhat.com> 1:10.0.6-24
- Solving permission errors due to directory ownership on NFS (rhbz#1566071)

* Mon Apr 16 2018 Steve Linabery <slinaber@redhat.com> 1:10.0.6-23
- Disallow unmanaging encrypted volumes
- Fix NoneType has no attribute get

* Thu Mar 29 2018 Eric Harney <eharney@redhat.com> 1:10.0.6-22
- Dell EMC SC: ISCSI initialize_connection fixes (RHBZ #1560583)

* Mon Mar 19 2018 Gorka Eguileor <geguileo@redhat.com> 1:10.0.6-21
- Fix AZ not matching backend after migration (RHBZ#1554772)

* Wed Mar 14 2018 Eric Harney <eharney@redhat.com> 1:10.0.6-20
- NetApp ONTAP Copy offload fix (RHBZ#1550098)

* Tue Mar 13 2018 Gorka Eguileor <geguileo@redhat.com> 1:10.0.6-19
- Fix allocated_capacity_gb race on create volume (RHBZ#1553739)
- Fix reporting old stats (RHBZ#1553739)

* Fri Mar 09 2018 Eric Harney <eharney@redhat.com> 1:10.0.6-18
- Fix version router extension warnings (RHBZ#1552315)
- 3PAR: Fix remoteName error (RHBZ#1542438)

* Fri Mar 09 2018 Eric Harney <eharney@redhat.com> 1:10.0.6-17
- Restore ability to disable API versions (RHBZ#1549952)

* Thu Mar 08 2018 Eric Harney <eharney@redhat.com> 1:10.0.6-16
- Fix debug logging of passwords (RHBZ#1547598)

* Fri Feb 16 2018 Gorka Eguileor <geguileo@redhat.com> 1:10.0.6-15
- Improve logs on scheduler (RHBZ#1543820)

* Tue Feb 06 2018 Gorka Eguileor <geguileo@redhat.com> 1:10.0.6-14
- Use backup_use_temp_snapshot setting for default (RHBZ#1540202)
- Fix backup temp snapshot path on remote node (RHBZ#1540202)

* Thu Feb 01 2018 Gorka Eguileor <geguileo@redhat.com> 1:10.0.6-13
- Run backup-restore operations on native thread (RHBZ#1504670)
- Fix Backup uses latest req-id for all log calls (RHBZ#1538085)

* Thu Jan 25 2018 Eric Harney <eharney@redhat.com> 1:10.0.6-12
- FlashSystems: permit snapshot/clone volumes larger than source (RHBZ #1519681)
- FlashSystem: Add CMMVC6045E CLI error for multi-host mapping (RHBZ #1519681)

* Mon Jan 22 2018 Gorka Eguileor <geguileo@redhat.com> 1:10.0.6-11
- StorageCenter: Fix volume mapping for API v3.1 (RHBZ#1536490)

* Fri Jan 19 2018 Gorka Eguileor <geguileo@redhat.com> 1:10.0.6-10
- Fix create encrypted volume from image (RHBZ ##1535478)

* Tue Jan 09 2018 Eric Harney <eharney@redhat.com> 1:10.0.6-9
- nimble: handle unicode strings in volume create (RHBZ #1525846)

* Thu Dec 21 2017 Steve Linabery <slinaber@redhat.com> 1:10.0.6-8
- Revert "Tests: Fail if oslo.versionedobjects issues Invalid UUID warnings"

* Tue Dec 19 2017 Eric Harney <eharney@redhat.com> 1:10.0.6-7
- Dell EMC PS: Fix extend volume creating unmanaged snapshots (RHBZ #1527221)
- Dell EMC PS: Optimize parsing of capacity info from backend (RHBZ #1527222)
- Dell EMC PS: Fix over-subscription ratio stats (RHBZ #1527223)

* Mon Dec 18 2017 Eric Harney <eharney@redhat.com> 1:10.0.6-6
- ceph backup support for EXCLUSIVE_LOCK and JOURNALING features (RHBZ #1509326)

* Tue Nov 21 2017 Gorka Eguileor <geguileo@redhat.com> 1:10.0.6-5
- Add per-backend availability zones (RHBZ#1452704)

* Wed Nov 08 2017 Steve Linabery <slinaber@redhat.com> 1:10.0.6-4
- Imported Translations from Zanata
- Fix config option volume_backend_name's invalid overridden value

* Wed Oct 18 2017 Eric Harney <eharney@redhat.com> 1:10.0.6-3
- NetApp ONTAP: Fix reporting of provisioned_capacity_gb (RHBZ #1498816)

* Wed Oct 11 2017 Eric Harney <eharney@redhat.com> 1:10.0.6-2
- Fix allocated capacity report on non pool drivers (RHBZ #1499312)
- RBD: Fix stats reporting (RHBZ #1499312)

* Mon Sep 25 2017 Steve Linabery <slinaber@redhat.com> 1:10.0.6-1
- Update to 10.0.6
- Update group status

* Wed Aug 30 2017 Eric Harney <eharney@redhat.com> 1:10.0.4-4
- Fix image download to volume for iso images
- Don't verify format with autodetect after image conversion
- Create volume from VHD format image always failed

* Tue Aug 22 2017 Eric Harney <eharney@redhat.com> 1:10.0.4-3
- Bump os-brick dependency (RHBZ #1484040)

* Tue Aug 15 2017 Steve Linabery <slinaber@redhat.com> 1:10.0.4-2
- Adds missing entries for Quobyte driver to rootwrap
- Do not delete group if group snapshot exists
- Switch to use stable data_utils
- Huawei driver supports front-end qos
- Change Huawei driver's private data storing place
- XtremIO: fix fetching FC targets from X2 array
- VMAX driver - volume and snapshot treated as dicts in attach snapshot
- Unity: temp snapshot for backup deleted twice
- Fix image cache db query when limits are enabled

* Tue Aug 15 2017 Steve Linabery <slinaber@redhat.com> 1:10.0.4-1
- Update to 10.0.4

* Thu Aug 10 2017 Gorka Eguileor <geguileo@redhat.com> 1:10.0.3-3
- Add support for OS-Brick force disconnect (RHBZ#1445192)
- Do proper cleanup if connect volume fails (RHBZ#1445192)

* Thu Jun 29 2017 Eric Harney <eharney@redhat.com> 1:10.0.3-2
- Create volumes from encrypted images (RHBZ #1454850)

* Mon Jun 26 2017 Jason Joyce <jjoyce@redhat.com> 1:10.0.3-1
- Update to 10.0.3

* Mon Jun 05 2017 Gorka Eguileor <geguileo@redhat.com> 1:10.0.1-2
- NFS Backup: Fix overwritting backups (RHBZ#1456381)

* Wed Apr 19 2017 Steve Linabery <slinaber@redhat.com> 1:10.0.1-1
- Update to 10.0.1
- Dell EMC SC: Raise on _init_volume create_snapshot failure

* Mon Apr 17 2017 Steve Linabery <slinaber@redhat.com> 1:10.0.0-6
- Unity driver: fail to disconnect volume
- Correct Extend lvm Volume

* Mon Apr 10 2017 Jon Schlueter <jschluet@redhat.com> 1:10.0.0-5
- [BugFix]Cinder forgets to update 'deleted_at' when deleting (rhbz#1438328)
- VMAX driver - Live Migration is dropping connection
- VMAX driver - superfluous debug messages causing error
- VMAX driver - volumes part of CG not managed correctly

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 1:10.0.0-4
- Don't use tempest special_fields
- Fix create_consistencygroup when using CG objects
- Added gigabyte unit to values in exception message
- XtremIO: allow a cloned volume with larger size
- VMAX driver - Change vendor_name from EMC to Dell EMC
- NetApp: Track SVM and Cluster scoped credentials

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 1:10.0.0-3
- Prevent duplicate entries in the image cache (rhbz#1434494)
- Consistency groups API is not returning project_id filter groups.
- Dell EMC SC: Return dict from delete_consisgroup
- VMAX driver - replace pickle with jsonutils
- VMAX driver - consistency group remove empty values
- VNX: Handle error during volume deletion
- Fix lock contention in SolidFire driver
- Enforce _usage_from_snapshot to fetch info from deleted volume

* Wed Mar 22 2017 Jon Schlueter <jschluet@redhat.com> 1:10.0.0-2
- Bump prlimit cpu time for qemu-img from 2 to 8
- Fix internal tempest tests
- Updated from global requirements
- cinder-backup - coordination not initialized
- 3PAR: rally test create-volume-from-snapshot fails
- VMAX driver - snapshot creation and immediate deletion fix
- VMAX Driver - disable initiator check by default
- VMAX driver - widen locking around storage groups
- Dell EMC SC: Return dict in delete_cgsnapshot
- 3PAR: Remove un-necessary snapshot in online copy operation

* Wed Feb 22 2017 Alfredo Moralejo <amoralej@redhat.com> 1:10.0.0-1
- Update to 10.0.0

* Fri Feb 17 2017 Alfredo Moralejo <amoralej@redhat.com> 1:10.0.0-0.2.0rc2
- Update to 10.0.0.0rc2

* Thu Feb 09 2017 Alfredo Moralejo <amoralej@redhat.com> 1:10.0.0-0.1.0rc1
- Update to 10.0.0.0rc1

